package com.beanpodtech.allinone.bean;

import java.io.Serializable;
import java.util.List;

public class CourseArrangingInfoBean  extends BaseRequestBean implements Serializable {

/*    {
        "list": [{
        "courseIconUrl": "",
                "endTime": 1617789600,
                "faceToFacLessonId": "24",
                "faceToFacLessonIntroduce": "",
                "faceToFaceCourseId": "",
                "faceToFaceschoolId": "175",
                "startTime": 1617786000,
                "teacherId": "29",
                "teacherName": "矫洁",
                "timeSpan": "60"
    }],
        "status": 0
    }*/

    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * faceToFaceschoolId : 203
         * faceToFacLessonId : 16
         * startTime : 1612310400
         * endTime : 1612315800
         * timeSpan : 90
         * teacherId : 1
         * teacherName : 海棠朵朵
         * faceToFaceCourseId :
         * faceToFacLessonIntroduce :
         * courseIconUrl :
         */

        private String faceToFaceschoolId;
        private String faceToFacLessonId;
        private long startTime;
        private long endTime;
        private String timeSpan;
        private String teacherId;
        private String teacherName;
        private String faceToFaceCourseId;
        private String faceToFacLessonIntroduce;
        private String courseIconUrl;
        private String subjectName ;

        public String getSubjectName() {
            return subjectName;
        }

        public void setSubjectName(String subjectName) {
            this.subjectName = subjectName;
        }

        public String getFaceToFaceschoolId() {
            return faceToFaceschoolId;
        }

        public void setFaceToFaceschoolId(String faceToFaceschoolId) {
            this.faceToFaceschoolId = faceToFaceschoolId;
        }

        public String getFaceToFacLessonId() {
            return faceToFacLessonId;
        }

        public void setFaceToFacLessonId(String faceToFacLessonId) {
            this.faceToFacLessonId = faceToFacLessonId;
        }

        public long getStartTime() {
            return startTime;
        }

        public void setStartTime(long startTime) {
            this.startTime = startTime;
        }

        public long getEndTime() {
            return endTime;
        }

        public void setEndTime(long endTime) {
            this.endTime = endTime;
        }

        public String getTimeSpan() {
            return timeSpan;
        }

        public void setTimeSpan(String timeSpan) {
            this.timeSpan = timeSpan;
        }

        public String getTeacherId() {
            return teacherId;
        }

        public void setTeacherId(String teacherId) {
            this.teacherId = teacherId;
        }

        public String getTeacherName() {
            return teacherName;
        }

        public void setTeacherName(String teacherName) {
            this.teacherName = teacherName;
        }

        public String getFaceToFaceCourseId() {
            return faceToFaceCourseId;
        }

        public void setFaceToFaceCourseId(String faceToFaceCourseId) {
            this.faceToFaceCourseId = faceToFaceCourseId;
        }

        public String getFaceToFacLessonIntroduce() {
            return faceToFacLessonIntroduce;
        }

        public void setFaceToFacLessonIntroduce(String faceToFacLessonIntroduce) {
            this.faceToFacLessonIntroduce = faceToFacLessonIntroduce;
        }

        public String getCourseIconUrl() {
            return courseIconUrl;
        }

        public void setCourseIconUrl(String courseIconUrl) {
            this.courseIconUrl = courseIconUrl;
        }
    }
}
